Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2355,
"created_at": "2018-03-10 06:02:14",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2018-03-10 06:14:15",
"format": 1,
"frequency": "value",
"last_run_at": "2018-03-10 06:04:50",
"name": "value",
"next_run_at": "2018-03-10 06:13:21",
"report_id": 9241,
"start_at": "2018-03-10 06:14:24",
"status": 1,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 798,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-04-01",
"end_at": "2026-04-01",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 8917,
"created_at": "2022-11-10 00:13:06",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2022-11-10 00:14:14",
"format": 1,
"frequency": "value",
"last_run_at": "2022-11-10 00:10:05",
"name": "value",
"next_run_at": "2022-11-10 00:06:28",
"report_id": 4283,
"start_at": "2022-11-10 00:18:00",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/88 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7757,
"created_at": "2018-04-29 14:46:49",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2018-04-29 14:42:34",
"format": 0,
"frequency": "value",
"last_run_at": "2018-04-29 14:41:16",
"name": "value",
"next_run_at": "2018-04-29 14:45:28",
"report_id": 8497,
"start_at": "2018-04-29 14:46:41",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/82 HTTP/1.1
Host: l7api.com
{
"report_id": 842,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-04-01",
"end_at": "2026-04-01",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1802,
"created_at": "2020-11-14 21:32:03",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2020-11-14 21:49:07",
"format": 1,
"frequency": "value",
"last_run_at": "2020-11-14 21:39:13",
"name": "value",
"next_run_at": "2020-11-14 21:35:15",
"report_id": 4674,
"start_at": "2020-11-14 21:35:50",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/9 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8163,
"created_at": "2019-02-24 00:35:42",
"culture": 5,
"description": "value",
"emails": "value",
"end_at": "2019-02-24 00:46:17",
"format": 1,
"frequency": "value",
"last_run_at": "2019-02-24 00:47:34",
"name": "value",
"next_run_at": "2019-02-24 00:46:25",
"report_id": 5651,
"start_at": "2019-02-24 00:42:14",
"status": 1,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}